org.codehaus.groovy.runtime.metaclass

## Class MetaMethodIndex.Entry

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

Enclosing class:
  MetaMethodIndex

    public static class MetaMethodIndex.Entry
    extends java.lang.Object

### Field Summary

Fields
`MetaMethodIndex.CacheEntry` `cachedMethod`
`MetaMethodIndex.CacheEntry` `cachedMethodForSuper`
`MetaMethodIndex.CacheEntry` `cachedStaticMethod`
`java.lang.Class` `cls`
`int` `hash`
`java.lang.Object` `methods`
`java.lang.Object` `methodsForSuper`
`java.lang.String` `name`
`MetaMethodIndex.Entry` `nextClassEntry`
`MetaMethodIndex.Entry` `nextHashEntry`
`java.lang.Object` `staticMethods`

### Constructor Summary

Constructors
Constructor and Description
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hash

    public int hash

#### nextHashEntry

    public MetaMethodIndex.Entry nextHashEntry

#### nextClassEntry

    public MetaMethodIndex.Entry nextClassEntry

#### name

    public java.lang.String name

#### cls

    public java.lang.Class cls

#### methods

    public java.lang.Object methods

#### methodsForSuper

    public java.lang.Object methodsForSuper

#### staticMethods

    public java.lang.Object staticMethods

#### cachedMethod

    public MetaMethodIndex.CacheEntry cachedMethod

#### cachedMethodForSuper

    public MetaMethodIndex.CacheEntry cachedMethodForSuper

#### cachedStaticMethod

    public MetaMethodIndex.CacheEntry cachedStaticMethod

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`